# Historical volume

GET https://api.bb.no/v1/volume/historic



## Authentication

No authentication required.

[API keys and signing](https://barebitcoin.no/developers/authentication/api-keys)

## Parameters

### date

query parameter · string

First day of the period to fetch volume for. The period runs until today.
 If empty, defaults to one month ago. Format: YYYY-MM-DD



## Examples

### Public

```sh
curl -X GET \
  https://api.bb.no/v1/volume/historic
```



## Responses

### 200

OK

Example:

```json
{
  "dailyVolume": [
    {
      "date": "2026-03-14",
      "stats": {
        "Bare Bitcoin": {
          "name": "Bare Bitcoin",
          "color": "#FF8000",
          "volumeNok": 4823117,
          "volumeBtc": 4.61234567,
          "shareOfTotalVolume": 0.41
        },
        "Firi": {
          "name": "Firi",
          "color": "#3538D4",
          "volumeNok": 4471342,
          "volumeBtc": 4.27566219,
          "shareOfTotalVolume": 0.38
        },
        "NBX": {
          "name": "NBX",
          "color": "#BEED5E",
          "volumeNok": 2470411,
          "volumeBtc": 2.36295,
          "shareOfTotalVolume": 0.21
        }
      }
    }
  ],
  "shareOfTotalVolume": {
    "Bare Bitcoin": 0.41,
    "Firi": 0.38,
    "NBX": 0.21
  }
}
```

[VolumeHistoricResponse](https://barebitcoin.no/developers/models/VolumeHistoricResponse).

Source: https://barebitcoin.no/developers/api/market-data/historical-volume


## Model: VolumeHistoricResponse





### dailyVolume

Type: array of VolumeHistoricResponse_DailyVolume.





Items: [VolumeHistoricResponse_DailyVolume](https://barebitcoin.no/developers/models/VolumeHistoricResponse_DailyVolume).

### shareOfTotalVolume

Type: map of number · double.

Each market's share of the total volume for the period in question.



Values: 



## Model: VolumeHistoricResponse_DailyVolume





### date

Type: string.

YYYY-MM-DD





### stats

Type: map of VolumeHistoricResponse_MarketStats.

Each market's volume for the day.



Values: [VolumeHistoricResponse_MarketStats](https://barebitcoin.no/developers/models/VolumeHistoricResponse_MarketStats).

## Model: VolumeHistoricResponse_MarketStats





### name

Type: string.







### color

Type: string.







### volumeNok

Type: number · double.







### volumeBtc

Type: number · double.







### shareOfTotalVolume

Type: number · double.

Share of the total volume for the day in question.



